commit 183c6e07c836112c136a2a29b7fced7af978fbdb
Author: freddy77 <freddy77>
Date:   Wed Aug 19 09:50:37 2009 +0000

    small improve

diff --git a/ChangeLog b/ChangeLog
index cc6f105..034e192 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Wed Aug 19 11:51:14 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/dblib/dblib.c: small improve
+
 Tue Aug 18 17:11:07 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/tds_checks.c src/tds/token.c misc/types.txt:
 	* src/odbc/odbc_util.c:
@@ -1738,4 +1741,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2844 2009/08/18 15:11:12 freddy77 Exp $
+$Id: ChangeLog,v 1.2845 2009/08/19 09:50:37 freddy77 Exp $
diff --git a/src/dblib/dblib.c b/src/dblib/dblib.c
index c9bd4ee..b3e8270 100644
--- a/src/dblib/dblib.c
+++ b/src/dblib/dblib.c
@@ -75,7 +75,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: dblib.c,v 1.350 2009/05/28 16:23:32 freddy77 Exp $");
+TDS_RCSID(var, "$Id: dblib.c,v 1.351 2009/08/19 09:50:37 freddy77 Exp $");
 
 static RETCODE _dbresults(DBPROCESS * dbproc);
 static int _db_get_server_type(int bindtype);
@@ -4551,7 +4551,7 @@ RETCODE
 dbsqlok(DBPROCESS * dbproc)
 {
 	TDSSOCKET *tds;
-	int done = 0, done_flags;
+	int done_flags;
 	TDS_INT result_type;
 
 	tdsdump_log(TDS_DBG_FUNC, "dbsqlok(%p)\n", dbproc);
@@ -4573,7 +4573,7 @@ dbsqlok(DBPROCESS * dbproc)
 	 * We want to skip any messages which are not processable. 
 	 * We're looking for a result token or a done token.
          */
-	while (!done) {
+	for (;;) {
 		/* 
 		 * If we hit an end token -- e.g. if the command
 		 * submitted returned no data (like an insert) -- then

